Bug 242018 - Anaconda generates a false warning during network configuration
Anaconda generates a false warning during network configuration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 06:30 EDT by Simon Andrews
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 11:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Andrews 2007-06-01 06:30:26 EDT
Description of problem:
I've just used an nfs install to upgrade to F7.  As part of this I had to
configure a network interface.

In the netmask section the prompt specifically states that you can use either
dotted quad or single figure notation to specify the netmask.  However when I
tried to use the dotted quad notation (255.256.248.0) I got an error message
popup which said "Prefixes must be between 1 and 32 bits for IPV4.  Please try
again".  Using 11 as the netmask worked.

If you continue ignoring the warning then you can move on in the installation (I
didn't check whether this actually worked though), so it's probably just a
spurious error.

Version-Release number of selected component (if applicable):
Default anaconda with F7

How reproducible:
Always

Steps to Reproduce:
1. Boot rescue CD and select NFS install (possibly others too)
2. In the network config use dotted quad notation for netmask

  
Actual results:
Error message saying the netmask is invalid

Expected results:
Install continues

Additional info:
Comment 1 David Cantrell 2007-06-01 11:39:29 EDT
(In reply to comment #0)
> Description of problem:
> I've just used an nfs install to upgrade to F7.  As part of this I had to
> configure a network interface.
> 
> In the netmask section the prompt specifically states that you can use either
> dotted quad or single figure notation to specify the netmask.  However when I
> tried to use the dotted quad notation (255.256.248.0) I got an error message
                                             ^^^

That's not a valid netmask.  A /11 network would be 255.224.0.0 in IPv4 netmask
notation.
Comment 2 Simon Andrews 2007-06-04 03:23:22 EDT
The 256 was a typo in the original bug report, our netmask is 255.255.248.0
which is a valid netmask and did produce the warning from anaconda.

I also managed to get the single digit mask wrong (counted from the wrong end!).
 It should probably be /21?  This was the first time I've had to work out that
value rather than use the quad notation.

Note You need to log in before you can comment on or make changes to this bug.